### Method

# FwupdPlugin Device set_battery_level

#### Declaration [src]

    void
    fu_device_set_battery_level (
      FuDevice* self,
      guint battery_level
    )

#### Description [src]

Sets the battery level, or `FWUPD_BATTERY_LEVEL_INVALID`.

Setting this allows fwupd to show a warning if the device change is too low to perform the update.

Available since: | 1.5.8

#### Parameters

`battery_level` | `guint`
| The percentage value.